"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MqlQueryStore = /** @class */ (function () {
    function MqlQueryStore() {
        var _this = this;
        this.store = {};
        this.timeSet = {};
        this.trimStore = function () {
            if (Object.keys(_this.store).length > 5) {
                var oldest_1 = false;
                Object.keys(_this.timeSet).forEach(function (time) {
                    if (!oldest_1) {
                        oldest_1 = time;
                    }
                    else {
                        if (oldest_1 > time) {
                            oldest_1 = time;
                        }
                    }
                });
                if (oldest_1 && _this.store[_this.timeSet[oldest_1]]) {
                    delete _this.store[_this.timeSet[oldest_1]];
                }
            }
        };
        this.set = function (id, value) {
            _this.timeSet[Date.now()] = id;
            _this.store[id] = value;
            _this.trimStore();
        };
        this.get = function (id) {
            return _this.store[id];
        };
        this.dump = function () {
            return _this.store;
        };
        this.clear = function () {
            _this.store = {};
            _this.timeSet = {};
        };
    }
    return MqlQueryStore;
}());
exports.default = MqlQueryStore;
