import { CreateMqlQueryWithTimeGranularityMutationVariables } from "../mutations/mql/MqlMutationTypes";
import { FetchMqlTimeSeriesQuery, MqlQueryStatus } from "../queries/mql/MqlQueryTypes";
export declare type UseMqlQueryState = {
    retries: number;
    queryId: string | null;
    queryStatus: MqlQueryStatus;
    data?: FetchMqlTimeSeriesQuery["mqlQuery"] | null;
    cancelledQueries: string[];
    fetchStartTime: number | null;
    isTakingForever: boolean;
    errorMessage?: string;
};
declare type UseMqlQueryParams = {
    metricName: string;
    limit?: number;
    queryInput?: CreateMqlQueryWithTimeGranularityMutationVariables;
    skip?: boolean;
    retries?: number;
};
export default function useNewMqlQuery({ queryInput, metricName, limit, skip, retries, }: UseMqlQueryParams): UseMqlQueryState;
export {};
